import {
  a as n
} from "./chunk-ZGCB36VN.js";
import {
  a as e,
  c as i
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/tap.js
var l = i((u, r) => {
  var s = n();
  r.exports = t;
  t.displayName = "tap";
  t.aliases = [];
  function t(a) {
    a.register(s), a.languages.tap = {
      fail: /not ok[^#{\n\r]*/,
      pass: /ok[^#{\n\r]*/,
      pragma: /pragma [+-][a-z]+/,
      bailout: /bail out!.*/i,
      version: /TAP version \d+/i,
      plan: /\b\d+\.\.\d+(?: +#.*)?/,
      subtest: {
        pattern: /# Subtest(?:: .*)?/,
        greedy: !0
      },
      punctuation: /[{}]/,
      directive: /#.*/,
      yamlish: {
        pattern: /(^[ \t]*)---[\s\S]*?[\r\n][ \t]*\.\.\.$/m,
        lookbehind: !0,
        inside: a.languages.yaml,
        alias: "language-yaml"
      }
    };
  }
  e(t, "tap");
});

export {
  l as a
};
